package de.monarchy.guideme.main;

/**
 * Interface for a simple listener which is able to react to changes of the 
 * device's orientation. It is used by the InformationHandler of MainActivity.
 * 
 * @author dstuerze
 *
 */
public interface OrientationChangeListener {
  /**
   * Callback method indicating a change of the device's orientation happend.
   * The orientation will be given in an array with three values as described by
   * Android's SensorEvent.
   * 
   * @param arg
   *          new orientation
   */
  void stateChanged(float[] arg);
}
