package de.monarchy.guideme.main;

import de.monarchy.guideme.util.GeoCoordinate;
import de.monarchy.guideme.util.POI;

/**
 * Interface for a simple listener which is able to react to changes of the
 * device's position. It is used by the InformationHandler of MainActivity.
 * 
 * @author dstuerze
 * 
 */
public interface PositionChangeListener {

  /**
   * Callback method indicating a change of the device's orientation happend.
   * With the new position, an array of POIs in a range around this location is
   * submitted.
   * 
   * @param arg
   *          new position
   * @param pois
   *          POIs around that spot
   */
  void stateChanged(GeoCoordinate arg, POI[] pois);
}
