package de.monarchy.guideme.main;

import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.Preference;
import android.preference.PreferenceManager;
import android.preference.PreferenceScreen;
import de.monarchy.guideme.R;
import de.monarchy.guideme.data.PersonalLocation;

/**
 * This preference activity is a subclass of Android's internal preference
 * activity. It uses the application's internal preferences defined in xml.
 * 
 * @author dstuerze
 * 
 */
public class PreferenceActivity extends android.preference.PreferenceActivity {

  // language preference
  private static String LANG;

  public void onCreate(Bundle in) {
    super.onCreate(in);
    addPreferencesFromResource(R.xml.preferences);
    LANG = getResources().getString(R.string.pref_key_lang);
  }

  public boolean onPreferenceTreeClick(PreferenceScreen preferenceScreen,
      Preference preference) {
    if (preference.hasKey() && preference.getKey().equals(LANG)) {
      // language preference will be given directly to the data service.
      SharedPreferences sp = PreferenceManager
          .getDefaultSharedPreferences(this);
      PersonalLocation.preferred_language = sp.getString(LANG, "de");
    }
    return super.onPreferenceTreeClick(preferenceScreen, preference);
  }

}
