package de.monarchy.guideme.main;

import de.monarchy.guideme.util.RoutePoint;

/**
 * Interface for a simple listener which is able to react to changes of the
 * application's route. It is used by the InformationHandler of MainActivity.
 * 
 * @author dstuerze
 * 
 */
public interface RoutingListener {
  /**
   * Callback method indicating a new route has been calculated. If a routing
   * request failed, this method's parameter will be indicating it by being
   * null.
   * 
   * @param points
   *          array with route instructions
   */
  void routingDone(RoutePoint[] points);
}
