package de.monarchy.guideme.map;

import de.monarchy.guideme.util.GeoCoordinate;

/**
 * A delegate that can be used to react on touch events on a MapWrapper's view.
 * 
 * @author dstuerze
 * 
 */
public interface TouchDelegate {
  /**
   * Delegation method that will be called after touching the map. It will pass
   * the world location the user has clicked on.
   * 
   * @param place
   *          position the user clicked
   */
  void onTouch(GeoCoordinate place);
}
